package com.cool.store.enums.point;

/**
 * @author zhangchenbiao
 * @FileName: PointStatusEnum
 * @Description:
 * @date 2024-04-01 10:37
 */
public enum PointStatusEnum {

    //1.采集中、2.已评估、3.待审核、4.待审核可推荐、5.已审核、6.已签约、7.已失效
    POINT_STATUS_1(1, "采集中"),
    POINT_STATUS_2(2, "已评估"),
    POINT_STATUS_3(3, "待审核"),
    POINT_STATUS_4(4, "待审核可推荐"),
    POINT_STATUS_5(5, "已审核"),
    POINT_STATUS_6(6, "已签约"),
    POINT_STATUS_7(7, "已失效")
    ;

    private Integer code;

    private String desc;

    PointStatusEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}
